Kerbal Space Program - Bug #2842

New decoupler issues in 0.24.2 with reproduction steps
07/27/2014 09:56 PM - mstrfalco3
Assignee:
Target version:
Description

Reproduction Steps:

1. Create a craft with strap on boosters using radial decouplers.

2. TT-70 Radial Decoupler and TT-38K Radial Decoupler are slightly worse than Hydraulic Detachment Manifold and the
Structural Pylon.

3. Launch the craft and obtain an absolute velocity between 0-750 m/s while in orbital or suborbital situation. (Closer to 750 m/s for
more effect)

4. Stage the radial decouplers at flame-out.

5. Unusual torque applied to shed booster, usually resulting in destruction of parts or craft.

Notes:

a. Common bug affecting most asparagus and shuttle craft designs. (including the stock KerbalX craft)
b. Not due to arrangement of parts.

c. Problem vanishes above an orbital velocity of 750 m/s.

d. Introduced in 0.24.1

Potentially related issue: TR-38-D decoupler (extra large inline decoupler) decoupling force is 80x weaker than previously seen in
0.23.5.

Reproduction Steps:

1. Create a craft using 3.75m parts. (extra large)

2. Include the TR-38-D inline decoupler. (Usually going hand in hand with the Kerbodyne KR-2L Advanced Engine)

3. Launch craft.

4. While flying decouple after first stage flame-out.

Minimum steps required to reproduce with two provided example craft:
1. Full throttle.

2. Launch.

3. Stage at flame-out.

Image and video examples of bug:
Comparison 1

Comparison 2

0.24.2 Example

0.23.5 Example

Comparison 3

Comparison 4

Comparison 5

Related thread to issues at hand that goes into slightly more detail.

History

#1 - 07/27/2014 10:00 PM - mstrfalco3

Sorry for re-post, | am new to bug tracker and thought | was updating bug 2841. This post above is better written. Original bug report here. Once
again, sorry. (Additional information from moderator Claw in original report.)

UPDATE: Radial Decoupler issue seems related to "ModuleAnchoredDecoupler”
http://youtu.be/VYUFd9vNlWQ
http://youtu.be/pHXu5ztJTxo
http://imgur.com/a/l3irB#0
http://imgur.com/a/rS3Qn#0
https://www.youtube.com/watch?v=Q3ZMOZ5AOUQ
http://i.imgur.com/iItsRWk.png
http://imgur.com/vKzCgSJ
http://forum.kerbalspaceprogram.com/threads/88026-Radial-Decouplers-3-75m-Decoupler-Issues-%28Return-of-the-Kraken-0-24-2%29
http://bugs.kerbalspaceprogram.com/issues/2841

#2 - 08/02/2014 08:45 PM - Mesons
- File Torque_n lt.craft added
- File More Torque Testing.craft added

| was able to reproduce the bug with a slightly simpler craft (attached, Torque'n lt.craft). After some experimentation, | discovered that the unusual
torque is related to the ship's orientation relative to the velocity vector, and does indeed completely vanish above 750m/s surface velocity.

| tested the problem above the Mun and it happens exactly the same, increasing in strength close to 750m/s surface velocity and vanishing above that
point.

More Details:

e Mystery torque seems to be strongest for objects the least radial distance to the CM

¢ All decoupled parts are rotated towards the velocity vector upon staging, pushed forward at what seems to be the CM of the decoupled parts (net
force towards velocity vector, see attached More Torque Testing.craft)

¢ Ejected parts are additionally rotated about an axis which does not pass through their CM, with more torque for stages more toward the horizon

of the craft and less torque for those oriented more toward zenith/anti-zenith

Parts rotate inwards (viewed from above) when the vessel is oriented between the velocity vector and anti-zenith and they rotate outwards when

the vessel is oriented between velocity vector and zenith (see screenshot slideshow at http://imgur.com/a/CskEd#0 )

¢ Parts along the CM-velocity vector axis do not appear to rotate at all

My apologies if posting the link to my album isn't OK, | haven't done much image embedding and the instructions at

http://forum.kerbalspaceprogram.com/fag.php?fag=vb3_user_profile#fag vb3_albums seem to be faulty--1 have no Photos & Albums link in my
profile.

Note: | am using a few visual-only mods (E.V.E./Astronomer's visual pack, Enhanced NavBall). They shouldn't affect the issue. The bug occurs in
32-bit and 64-bit on Linux.

#3 -10/11/2014 10:27 AM - GusTurbo

This bug is still occurring in .25, so this is an ongoing issue still.

#4 - 12/16/2014 05:51 PM - Joe_Rocket

| can confirm this issue is happening in .90 as well. It's very frustrating, this interferes with almost all my designs. Now | have to worry about how and
when | use radial decouplers. | would consider this a gameplay breaking bug, | really hope this gets fixed soon.

#5 - 04/07/2015 07:02 PM - Joe_Rocket

The only stock way to work around this bug and get something that acts pre-0.24.2 is by using two Cubic Octagonal Struts, a TR-2V Stack Decoupler,
and EAS-4 Strut Connectors. Ironically, those 4 parts are lighter in weight than any of the radial decouplers... But it's kind of silly when you used to get
the same effect with just 1 part. Making asparagus style rockets used to be fun before this bug, now it's a tedious process that requires way more
parts than it should. The only time | use radial decouplers is with really big and heavy stages... And even then the torque is still there and it must be
countered with Sepratrons. If you start to type in ksp decoupler in Google, the top result is "ksp decoupler bug”. That should be a hint guys, this bug is
a serious gameplay killer.

#6 - 11/17/2015 02:42 PM - sal_vager

- Status changed from Confirmed to Resolved
- Severity changed from High to Normal

- % Done changed from 10 to 100

Hi, please be mindful of the bug reporting guidelines and priority table when reporting issues, thank you.

http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

This was resolved in 1.0.0, it was a product of the krakens bane at 750m/s

#7 - 05/01/2016 11:03 PM - bewing

- Status changed from Resolved to Closed

Files

Decoupler A 02.jpg 157 KB 07/27/2014 Claw
Decoupler B 02.jpg 180 KB 07/27/2014 Claw
Radial Decoupler Issues.craft 21 KB 07/27/2014 mstrfalco3
TR-38-D Decoupler Issues.craft 13.4 KB 07/27/2014 mstrfalco3
Radial_Decoupler_LOG.ixt 113 KB 07/27/2014 mstrfalco3
TR-38-D_LOG.txt 112 KB 07/27/2014 mstrfalco3
http://imgur.com/a/CskEd#0
http://forum.kerbalspaceprogram.com/faq.php?faq=vb3_user_profile#faq_vb3_albums
http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

Torque_n lt.craft 12.3 KB 08/02/2014 Mesons
More Torque Testing.craft 18.3 KB 08/02/2014 Mesons
